Bug 1345757

Summary: Release Engineering Automation Workflow Engine
Product: [Fedora] Fedora Reporter: Jan Kurik <jkurik>
Component: Changes TrackingAssignee: Adam Miller <maxamillion>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: admiller, dgregor, maxamillion, pnemade
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: ChangeAcceptedF25, SelfContainedChange
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-22 13:58:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Jan Kurik 2016-06-13 06:51:01 UTC
This is a tracking bug for Change: Release Engineering Automation Workflow Engine
For more details, see: https://fedoraproject.org//wiki/Changes/ReleaseEngineeringAutomationWorkflowEngine

Centralized entry point, logging, and dash board for pre-defined Automated Workflow tasks used by the Release Engineering team with delegation and self-service tasks for members of various teams who normally depend on Release Engineering for various tasks.

Comment 1 Jan Kurik 2016-07-26 04:40:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Jan Kurik 2016-07-26 05:22:36 UTC
On 2016-July-26, we have reached Fedora 25 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-July-29 meeting.

Comment 3 Adam Miller 2016-07-26 15:12:09 UTC
At this time, we will be using Loopabull[0] as the execution Engine and it's been tested in some basic trials along with releng-automation[1]. However, there's still some coordination with the Fedora Infrastructure team that will need to be done before we are ready for final release. I think we're on track to get this in by the deadline though.

[0] - https://github.com/maxamillion/loopabull
[1] - https://pagure.io/releng-automation

Comment 4 Parag Nemade 2016-08-11 15:57:30 UTC
any updates here?

Comment 5 Adam Miller 2016-08-18 21:43:09 UTC
Loopabull has been tested (successfully) and packaged, review request here:
https://bugzilla.redhat.com/show_bug.cgi?id=1367769

Comment 6 Jan Kurik 2016-09-29 09:06:09 UTC
On 2016-Sep-27 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 25 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 7 Adam Miller 2016-09-30 17:10:37 UTC
The RelEng Automation change is deployable, has been demo'd live, and can be tested. I have proposed the change to the Fedora Infrastructure Team and Loopabull[0] is currently under code review and security audit. Once that is complete, to the best of my knowledge, we will simply need to deploy within the Fedora Infra.

Currently the releng-automation[1] pagure repo is also existing which will house the automation ansible playbooks.

[0] - https://github.com/maxamillion/loopabull
[1] - https://pagure.io/releng-automation

Comment 8 Dennis Gregorovic 2016-11-16 18:50:51 UTC
Adam, I am curious if there are any new updates.  Is there an ETA for this going live?

Comment 9 Red Hat Bugzilla 2023-09-14 03:26:43 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days